## oxigraph 0.5.0~beta2

=== debian/changelog ===
oxigraph (0.5.0~beta2-1) experimental; urgency=medium

  [ upstream ]
  * new prerelease(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * relax (build-)dependencies for crates bindgen bzip2
  * stop break/replace obsolete binary package oxigraph-server
  * bump project versions in virtual packages and autopkgtests
  * stop use version prefix for virtual package librust-spargebra-dev
  * provide and autopkgtest features rdf-12 sparql-12 (not rdf-star)
  * bump (build-)dependencies for crate oxhttp

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Aug 2025 12:54:24 +0200
