=== debian/control ===
Source: oxigraph
Section: rust
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 ca-certificates <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 dh-sequence-rust,
 librocksdb-dev,
 librust-anyhow-1+default-dev,
 librust-assert-cmd-2+default-dev,
 librust-assert-fs-1+default-dev,
 librust-bindgen-dev (<< 0.74),
 librust-bzip2-dev (<< 0.7),
 librust-cc-1+default-dev,
 librust-cc-1+parallel-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-complete-4+default-dev,
 librust-clap-mangen-0.2+default-dev,
 librust-console-error-panic-hook-0.1+default-dev,
 librust-csv-1+default-dev,
 librust-dashmap-6+default-dev,
 librust-flate2-1+default-dev,
 librust-getrandom-0.2+default-dev,
 librust-hex-0.4+default-dev,
 librust-is-terminal-0.4+default-dev,
 librust-js-sys-0.3+default-dev,
 librust-json-event-parser-0.2+default-dev,
 librust-libc-0.2+default-dev,
 librust-md-5-0.10+default-dev,
 librust-memchr-2+default-dev,
 librust-nom-7+default-dev,
 librust-oxhttp-0.3+default-dev,
 librust-oxhttp-0.3+flate2-dev,
 librust-oxhttp-0.3+native-tls-dev,
 librust-oxilangtag-0.1+default-dev,
 librust-oxiri-0.2+default-dev (>= 0.2.8),
 librust-peg-0.8+default-dev,
 librust-pkg-config-0.3+default-dev,
 librust-portable-atomic-1+default-dev,
 librust-quick-xml-0.36+async-tokio-dev,
 librust-quick-xml-0.36+default-dev,
 librust-rand-0.8+default-dev,
 librust-rayon-1+default-dev,
 librust-rayon-core-1+default-dev,
 librust-regex-1+default-dev,
 librust-rustc-hash-2+default-dev,
 librust-sha1-0.10+default-dev,
 librust-sha2-0.10+default-dev,
 librust-siphasher-dev (<< 2),
 librust-thiserror-1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+io-util-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
 librust-url-2+default-dev,
 python3-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/oxigraph/oxigraph
Vcs-Git: https://salsa.debian.org/debian/oxigraph.git
Vcs-Browser: https://salsa.debian.org/debian/oxigraph
Rules-Requires-Root: no

Package: oxigraph
X-Cargo-Crates:
 oxigraph-cli
Section: web
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
Suggests:
 bash-completion,
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: RDF graph CLI tool and SPARQL HTTP server
 Oxigraph CLI is a graph database
 implementing the SPARQL standard.
 It is packaged as a command-line tool
 allowing to manipulate RDF files and query them using SPARQL,
 and also allows to spawn a HTTP server on top of the database.
 .
 Oxigraph implements the following specifications:
  * SPARQL 1.1 Query,
    SPARQL 1.1 Update, and
    SPARQL 1.1 Federated Query.
  * Turtle, TriG, N-Triples, N-Quads, and RDF/XML
    RDF serialization formats for both data ingestion and retrieval.
  * SPARQL Query Results XML Format,
    SPARQL 1.1 Query Results JSON Format and
    SPARQL 1.1 Query Results CSV and TSV Formats.
  * SPARQL 1.1 Protocol and
    SPARQL 1.1 Graph Store HTTP Protocol.
 .
 SPARQL is an RDF query language -
 that is, a semantic query language for databases -
 able to retrieve and manipulate data
 stored in Resource Description Framework (RDF) format.
 .
 Resource Description Framework (RDF) is a standard model
 for data interchange on the Web.

Package: librust-oxrdf-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-json-event-parser-0.2+default-dev,
 librust-memchr-2+default-dev,
 librust-oxilangtag-0.1+default-dev,
 librust-oxiri-0.2+default-dev (>= 0.2.8),
 librust-oxsdatatypes-dev (= 0.4.0~really${rust:Version:librust-oxsdatatypes-dev}),
 librust-quick-xml-0.36+async-tokio-dev,
 librust-quick-xml-0.36+default-dev,
 librust-rand-0.8+default-dev,
 librust-thiserror-1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+io-util-dev,
 ${misc:Depends},
Provides:
 librust-oxjsonld-0.2+async-tokio-dev (= ${rust:Version:librust-oxjsonld-dev}),
 librust-oxjsonld-0.2+default-dev (= ${rust:Version:librust-oxjsonld-dev}),
 librust-oxjsonld-0.2-dev (= ${rust:Version:librust-oxjsonld-dev}),
 librust-oxjsonld-0.2.0-beta.2-dev (= ${rust:Version:librust-oxrdfio-dev}),
 librust-oxrdf-0.3+default-dev (= ${binary:Version}),
 librust-oxrdf-0.3+oxsdatatypes-dev (= ${binary:Version}),
 librust-oxrdf-0.3+rdf-12-dev (= ${binary:Version}),
 librust-oxrdf-0.3-dev (= ${binary:Version}),
 librust-oxrdf-0.3.0-beta.2-dev (= ${binary:Version}),
 librust-oxrdfio-dev (= ${rust:Version:librust-oxrdfio-dev}),
 librust-oxrdfio-0.2+async-tokio-dev (= ${rust:Version:librust-oxrdfio-dev}),
 librust-oxrdfio-0.2+default-dev (= ${rust:Version:librust-oxrdfio-dev}),
 librust-oxrdfio-0.2+rdf-12-dev (= ${rust:Version:librust-oxrdfio-dev}),
 librust-oxrdfio-0.2-dev (= ${rust:Version:librust-oxrdfio-dev}),
 librust-oxrdfio-0.2.0-beta.2-dev (= ${rust:Version:librust-oxrdfio-dev}),
 librust-oxrdfxml-dev (= ${rust:Version:librust-oxrdfxml-dev}),
 librust-oxrdfxml-0.2+async-tokio-dev (= ${rust:Version:librust-oxrdfxml-dev}),
 librust-oxrdfxml-0.2+default-dev (= ${rust:Version:librust-oxrdfxml-dev}),
 librust-oxrdfxml-0.2-dev (= ${rust:Version:librust-oxrdfxml-dev}),
 librust-oxrdfxml-0.2.0-beta.2-dev (= ${rust:Version:librust-oxrdfxml-dev}),
 librust-oxttl-dev (= ${rust:Version:librust-oxttl-dev}),
 librust-oxttl-0.2+async-tokio-dev (= ${rust:Version:librust-oxttl-dev}),
 librust-oxttl-0.2+default-dev (= ${rust:Version:librust-oxttl-dev}),
 librust-oxttl-0.2+rdf-12-dev (= ${rust:Version:librust-oxttl-dev}),
 librust-oxttl-0.2-dev (= ${rust:Version:librust-oxttl-dev}),
 librust-oxttl-0.2.0-beta.2-dev (= ${rust:Version:librust-oxttl-dev}),
Description: data structures related to RDF - Rust source code
 OxRDF is a simple library
 providing datastructures encoding RDF 1.1 concepts.
 It is intended to be a basic building block
 of other crates like Oxigraph or Spargebra.
 .
 Oxjsonld is a parser and serializer for the JSON-LD 1.0 format.
 .
 OxRDF I/O is a set of parsers and serializers for RDF.
 .
 OxRdfXml is a parser and serializer for RDF/XML.
 .
 Oxttl is a set of parsers and serializers
 for Turtle, TriG, N-Triples, N-Quads and N3.
 .
 Support for RDF 1.2 is available
 behind the rdf-12 feature,
 except for the language N3 in Oxttl.
 .
 This package contains the source
 for the Rust crates oxjsonld, oxrdf, oxrdfio, oxrdfxml and oxttl,
 for use with cargo.

Package: librust-oxsdatatypes-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-js-sys-0.3+default-dev,
 librust-thiserror-1+default-dev,
 ${misc:Depends},
Provides:
 librust-oxsdatatypes-0.2+custom-now-dev (= ${binary:Version}),
 librust-oxsdatatypes-0.2+default-dev (= ${binary:Version}),
 librust-oxsdatatypes-0.2-dev (= ${binary:Version}),
 librust-oxsdatatypes-0.2.2-dev (= ${binary:Version}),
Description: some XSD datatypes for SPARQL implementations - Rust source code
 oxsdatatypes is an implementation
 of some XML Schema Definition Language Datatypes.
 Its main aim is to ease the implementation of SPARQL and XPath.
 .
 This package contains the source for the Rust crate oxsdatatypes,
 for use with cargo.

Package: librust-sparesults-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-json-event-parser-0.2+default-dev,
 librust-oxrdf-dev (= 0.4.0~really${rust:Version:librust-oxrdf-dev}),
 librust-quick-xml-0.36+default-dev,
 librust-thiserror-1+default-dev,
 ${misc:Depends},
Provides:
 librust-sparesults-0.3+default-dev (= ${binary:Version}),
 librust-sparesults-0.3+sparql-12-dev (= ${binary:Version}),
 librust-sparesults-0.3-dev (= ${binary:Version}),
 librust-sparesults-0.3.0-beta.2-dev (= ${binary:Version}),
Description: SPARQL query results formats parsers and serializers - Rust source code
 Sparesults is a set of parsers and serializers
 for SPARQL query results formats.
 It is intended to be a building piece
 for SPARQL client and server implementations in Rust like Oxigraph.
 .
 It supports SPARQL Query Results XML Format (Second Edition),
 SPARQL 1.1 Query Results JSON Format
 and SPARQL 1.1 Query Results CSV and TSV Formats.
 .
 Support for SPARQL 1.2 is also available
 behind the sparql-12 feature.
 .
 This package contains the source for the Rust crate sparesults,
 for use with cargo.

Package: librust-spargebra-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-hex-0.4+default-dev,
 librust-json-event-parser-0.2+default-dev,
 librust-md-5-0.10+default-dev,
 librust-oxilangtag-0.1+default-dev,
 librust-oxiri-0.2+default-dev (>= 0.2.8),
 librust-oxrdf-dev (= 0.4.0~really${rust:Version:librust-oxrdf-dev}),
 librust-oxsdatatypes-dev (= 0.4.0~really${rust:Version:librust-oxsdatatypes-dev}),
 librust-peg-0.8+default-dev,
 librust-rand-0.8+default-dev,
 librust-regex-1+default-dev,
 librust-rustc-hash-2+default-dev,
 librust-sha1-0.10+default-dev,
 librust-sha2-0.10+default-dev,
 librust-sparesults-dev (= 0.4.0~really${rust:Version:librust-sparesults-dev}),
 librust-thiserror-1+default-dev,
 ${misc:Depends},
Provides:
 librust-spareval-dev (= ${rust:Version:librust-spareval-dev}),
 librust-spareval-0.2+calendar-ext-dev (= ${rust:Version:librust-spareval-dev}),
 librust-spareval-0.2+default-dev (= ${rust:Version:librust-spareval-dev}),
 librust-spareval-0.2+sparql-12-dev (= ${rust:Version:librust-spareval-dev}),
 librust-spareval-0.2+sep-0002-dev (= ${rust:Version:librust-spareval-dev}),
 librust-spareval-0.2+sep-0006-dev (= ${rust:Version:librust-spareval-dev}),
 librust-spareval-0.2-dev (= ${rust:Version:librust-spareval-dev}),
 librust-spareval-0.2.0-beta.2-dev (= ${rust:Version:librust-spareval-dev}),
 librust-spargebra-0.4+default-dev (= ${binary:Version}),
 librust-spargebra-0.4+sparql-12-dev (= ${binary:Version}),
 librust-spargebra-0.4+sep-0002-dev (= ${binary:Version}),
 librust-spargebra-0.4+sep-0006-dev (= ${binary:Version}),
 librust-spargebra-0.4-dev (= ${binary:Version}),
 librust-spargebra-0.4.0-beta.2-dev (= ${binary:Version}),
 librust-sparopt-dev (= ${rust:Version:librust-sparopt-dev}),
 librust-sparopt-0.3+default-dev (= ${rust:Version:librust-sparopt-dev}),
 librust-sparopt-0.3+sparql-12-dev (= ${rust:Version:librust-sparopt-dev}),
 librust-sparopt-0.3+sep-0002-dev (= ${rust:Version:librust-sparopt-dev}),
 librust-sparopt-0.3+sep-0006-dev (= ${rust:Version:librust-sparopt-dev}),
 librust-sparopt-0.3-dev (= ${rust:Version:librust-sparopt-dev}),
 librust-sparopt-0.3.0-beta.2-dev (= ${rust:Version:librust-sparopt-dev}),
Description: SPARQL parser - Rust source code
 Spargebra is a SPARQL parser.
 It supports both SPARQL 1.1 Query and SPARQL 1.1 Update.
 This crate is intended to be a building piece
 for SPARQL implementations in Rust like Oxigraph.
 .
 sparopt is a work in progress SPARQL Query optimizer.
 .
 Support for SPARQL 1.2 is also available
 behind the sparql-12 feature.
 .
 This package contains the source
 for the Rust crates spargebra and sparopt,
 for use with cargo.

Package: librust-oxigraph-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-bzip2-dev (<< 0.7),
 librust-csv-1+default-dev,
 librust-dashmap-6+default-dev,
 librust-getrandom-0.2+default-dev,
 librust-js-sys-0.3+default-dev,
 librust-libc-0.2+default-dev,
 librust-oxhttp-0.3+default-dev,
 librust-oxiri-0.2+default-dev (>= 0.2.8),
 librust-oxrdf-dev (= 0.4.0~really${rust:Version:librust-oxrdf-dev}),
 librust-oxrocksdb-sys-dev (= ${rust:Version:librust-oxrocksdb-sys-dev}),
 librust-oxsdatatypes-dev (= 0.4.0~really${rust:Version:librust-oxsdatatypes-dev}),
 librust-portable-atomic-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-rustc-hash-2+default-dev,
 librust-siphasher-dev (<< 2),
 librust-sparesults-dev (= 0.4.0~really${rust:Version:librust-sparesults-dev}),
 librust-spargebra-dev (= 0.4.0~really${rust:Version:librust-spargebra-dev}),
 librust-thiserror-1+default-dev,
 ${misc:Depends},
Provides:
 librust-oxigraph-0.5+default-dev (= ${binary:Version}),
 librust-oxigraph-0.5+http-client-dev (= ${binary:Version}),
 librust-oxigraph-0.5+rdf-12-dev (= ${binary:Version}),
