=== debian/rules ===
#!/usr/bin/make -f

# resolve DEB_VERSION DEB_VERSION_UPSTREAM DEB_VERSION_UPSTREAM_REVISION DEB_DISTRIBUTION
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic

# trust upstream optimization level unless explicitly disabled
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEB_CFLAGS_MAINT_STRIP=-O2
export DEB_CXXFLAGS_MAINT_STRIP=-O2
endif

# resolve if release is experimental
DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

# resolve crate version
# * get topmost version except prerelease suffix
#   from Cargo.toml file in dir passed as argument
# * source package version if matching upstream part modulo prerelease
# * otherwise append source package version
crate_version = \
 $(shell perl -n \
 -E '/version\W+\K\d+\.\d+\.\d+/ ' \
 -E 'and say "$(DEB_VERSION_UPSTREAM)" =~ /^\Q$$&\E(?:~[a-z]+\d*)?$$/ ? "$(DEB_VERSION)" : "$$&+$(DEB_VERSION_UPSTREAM_REVISION)" and exit' \
 $1/Cargo.toml)

# these test allegedly leaks memory
# see bug #1088523 and upstream discussions
# <https://github.com/facebook/rocksdb/issues/4063>
# <https://github.com/facebook/rocksdb/pull/13106>
COMMA := ,
TEST_LEAKY = \
 store::Store \
 test_backup \
 test_backup_on_in_memory \
 test_backward_compatibility \
 test_bad_backup \
 test_bad_stt_open \
 test_bulk_load_graph_on_disk \
 test_bulk_load_on_existing_delete_overrides_the_delete_on_disk \
 test_load_graph_on_disk \
 test_read_only \
 test_snapshot_isolation_iterator_on_disk \
 tests::cli_ask_query_inline \
 tests::cli_ask_union_default_graph \
 tests::cli_backup \
 tests::cli_construct_query_stdin \
 tests::cli_construct_update_stdin \
 tests::cli_load_and_dump_dataset \
 tests::cli_load_and_dump_named_graph \
 tests::cli_load_and_dump_with_format \
 tests::cli_load_from_stdin_and_dump_to_stdout \
 tests::cli_load_gzip_dataset \
 tests::cli_load_optimize_and_dump_graph \
 tests::cli_select_query_file \
 tests::cli_update_file \
 tests::cli_update_inline

# * test_backward_compatibility:
#   requires write access to hardcoded path <tests/rocksdb_bc_data>
TEST_BROKEN = \
 test_backward_compatibility

%:
	dh $@

override_dh_auto_test:
	dh_auto_test --buildsystem rust -- \
	 --no-fail-fast -- $(addprefix --skip ,$(TEST_LEAKY) $(TEST_BROKEN)) \
	 $(if $(DEB_SUITE_EXP),|| true)
	$(if $(DEB_SUITE_EXP),\
	 dh_auto_test --buildsystem rust -- \
	 --no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN)) \
	 || true)

execute_after_dh_auto_install-arch:
	cp target/*/*/build/oxigraph-cli-*/out/complete/oxigraph.bash debian/bash-completion

# declare version for virtually provided embedded crates
# TODO: drop library version prefix "really" when prefix is superseded
packages = $(patsubst %,librust-%-dev,\
 oxigraph oxrdf oxrocksdb-sys oxsdatatypes sparesults spargebra)
packages_virtual = $(patsubst %,librust-%-dev,\
 oxjsonld oxrdfio oxrdfxml oxttl spareval sparopt)
override_dh_gencontrol:
	$(eval librust-oxigraph-dev_version = $(call crate_version,.))\
	$(eval librust-oxjsonld-dev_version = $(call crate_version,lib/oxjsonld))\
	$(eval librust-oxrdf-dev_version = $(call crate_version,lib/oxrdf))\
	$(eval librust-oxrdfio-dev_version = $(call crate_version,lib/oxrdfio))\
	$(eval librust-oxrdfxml-dev_version = $(call crate_version,lib/oxrdfxml))\
	$(eval librust-oxrocksdb-sys-dev_version = $(call crate_version,.))\
	$(eval librust-oxsdatatypes-dev_version = $(call crate_version,lib/oxsdatatypes))\
	$(eval librust-oxttl-dev_version = $(call crate_version,lib/oxttl))\
	$(eval librust-sparesults-dev_version = $(call crate_version,lib/sparesults))\
	$(eval librust-spareval-dev_version = $(call crate_version,lib/spareval))\
	$(eval librust-spargebra-dev_version = $(call crate_version,lib/spargebra))\
	$(eval librust-sparopt-dev_version = $(call crate_version,lib/sparopt))\
	set -e; $(foreach p,$(packages),\
	 dh_gencontrol -p$p -- \
	 -v'$(if $(filter librust-oxigraph-dev librust-oxrocksdb-sys-dev librust-spargebra-dev,$p),$($p_version),0.4.0~really$($p_version))' \
	 $(foreach q,$(filter-out $p,$(packages) $(packages_virtual)),\
	 -V'rust:Version:$q=$($q_version)');)
	dh_gencontrol --remaining-packages
