## oxigraph 0.5.0~beta5

=== debian/changelog ===
oxigraph (0.5.0~beta5-1) experimental; urgency=medium

  [ upstream ]
  * new prerelease

  [ Jonas Smedegaard ]
  * update watch file:
    + use file format version 5
    + improve mangling of upstream version
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * build-depend on libstd-rust-dev
    and on packages for crates dissimilar time;
    build- and autopkgtest-depend on package for crate tempfile
  * build-depend on recent rustc
  * stop tolerate test failures when targeting experimental,
    and stop omit tests apparently no longer leaky

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Sep 2025 12:41:17 +0200
