=== debian/tests/control ===
# check all but default-features tests only on amd64
# avoid checking on riscv64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxjsonld 0.2.0-beta.3
 --all-targets
Features: test-name=rust-oxjsonld:default
Depends:
 dh-rust,
 librust-oxjsonld-0.2+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
Restrictions: allow-stderr
Architecture: !riscv64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxjsonld 0.2.0-beta.3
 --all-targets --all-features
Features: test-name=rust-oxjsonld:@
Depends:
 dh-rust,
 librust-oxjsonld-0.2-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxjsonld 0.2.0-beta.3
 --all-targets --no-default-features
Features: test-name=rust-oxjsonld:
Depends:
 dh-rust,
 librust-oxjsonld-0.2-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxjsonld 0.2.0-beta.3
 --all-targets --no-default-features --features async-tokio
Features: test-name=rust-oxjsonld:async-tokio
Depends:
 dh-rust,
 librust-oxjsonld-0.2+async-tokio-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdf 0.3.0-beta.3
 --all-targets
Features: test-name=rust-oxrdf:default
Depends:
 dh-rust,
 librust-oxrdf-0.3+default-dev,
Restrictions: allow-stderr
Architecture: !riscv64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdf 0.3.0-beta.3
 --all-targets --all-features
Features: test-name=rust-oxrdf:@
Depends:
 dh-rust,
 librust-oxrdf-0.3-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdf 0.3.0-beta.3
 --all-targets --no-default-features
Features: test-name=rust-oxrdf:
Depends:
 dh-rust,
 librust-oxrdf-0.3-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdf 0.3.0-beta.3
 --all-targets --no-default-features --features rdf-12
Features: test-name=rust-oxrdf:rdf-12
Depends:
 dh-rust,
 librust-oxrdf-0.3+rdf-12-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdf 0.3.0-beta.3
 --all-targets --no-default-features --features oxsdatatypes
Features: test-name=rust-oxrdf:oxsdatatypes
Depends:
 dh-rust,
 librust-oxrdf-0.3+oxsdatatypes-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdfio 0.2.0-beta.4
 --all-targets
Features: test-name=rust-oxrdfio:default
Depends:
 dh-rust,
 librust-oxrdfio-0.2+default-dev,
 librust-tempfile-3+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
Restrictions: allow-stderr
Architecture: !riscv64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdfio 0.2.0-beta.4
 --all-targets --all-features
Features: test-name=rust-oxrdfio:@
Depends:
