## oxigraph 0.5.0

=== debian/changelog ===
oxigraph (0.5.0-2) experimental; urgency=medium

  * fix drop obsolete version prefix 'really'
    for librust-oxigraph-dev
  * omit test failing on s390x for crate oxigraph

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Sep 2025 23:11:44 +0200

oxigraph (0.5.0-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * check tests loading pre-generated 64bit little-endian data
    only on such arches
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Sep 2025 20:35:59 +0200
