=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  librust-console-error-panic-hook-0.1+default-dev,
  librust-csv-1+default-dev,
  librust-dashmap-6+default-dev,
+ librust-dissimilar-1+default-dev,
  librust-flate2-1+default-dev,
  librust-getrandom-0.2+default-dev,
  librust-hex-0.4+default-dev,
@@ -50,13 +51,18 @@
  librust-sha1-0.10+default-dev,
  librust-sha2-0.10+default-dev,
  librust-siphasher-dev (<< 2),
- librust-thiserror-1+default-dev,
+ librust-tempfile-3+default-dev,
+ librust-thiserror-1+default-dev,
+ librust-time-0.3+default-dev,
+ librust-time-0.3+formatting-dev,
  librust-tokio-1+default-dev,
  librust-tokio-1+io-util-dev,
  librust-tokio-1+macros-dev,
  librust-tokio-1+rt-dev,
  librust-url-2+default-dev,
+ libstd-rust-dev,
  python3-dev,
+ rustc (>= 1.87),
 Standards-Version: 4.7.2
 Homepage: https://github.com/oxigraph/oxigraph
 Vcs-Git: https://salsa.debian.org/debian/oxigraph.git
@@ -126,29 +132,29 @@
  librust-oxjsonld-0.2+async-tokio-dev (= ${rust:Version:librust-oxjsonld-dev}),
  librust-oxjsonld-0.2+default-dev (= ${rust:Version:librust-oxjsonld-dev}),
  librust-oxjsonld-0.2-dev (= ${rust:Version:librust-oxjsonld-dev}),
- librust-oxjsonld-0.2.0-beta.2-dev (= ${rust:Version:librust-oxrdfio-dev}),
+ librust-oxjsonld-0.2.0-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdf-0.3+default-dev (= ${binary:Version}),
  librust-oxrdf-0.3+oxsdatatypes-dev (= ${binary:Version}),
  librust-oxrdf-0.3+rdf-12-dev (= ${binary:Version}),
  librust-oxrdf-0.3-dev (= ${binary:Version}),
- librust-oxrdf-0.3.0-beta.2-dev (= ${binary:Version}),
+ librust-oxrdf-0.3.0-dev (= ${binary:Version}),
  librust-oxrdfio-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.2+async-tokio-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.2+default-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.2+rdf-12-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.2-dev (= ${rust:Version:librust-oxrdfio-dev}),
- librust-oxrdfio-0.2.0-beta.2-dev (= ${rust:Version:librust-oxrdfio-dev}),
+ librust-oxrdfio-0.2.0-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfxml-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxrdfxml-0.2+async-tokio-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxrdfxml-0.2+default-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxrdfxml-0.2-dev (= ${rust:Version:librust-oxrdfxml-dev}),
- librust-oxrdfxml-0.2.0-beta.2-dev (= ${rust:Version:librust-oxrdfxml-dev}),
+ librust-oxrdfxml-0.2.0-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxttl-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.2+async-tokio-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.2+default-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.2+rdf-12-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.2-dev (= ${rust:Version:librust-oxttl-dev}),
- librust-oxttl-0.2.0-beta.2-dev (= ${rust:Version:librust-oxttl-dev}),
+ librust-oxttl-0.2.0-dev (= ${rust:Version:librust-oxttl-dev}),
 Description: data structures related to RDF - Rust source code
  OxRDF is a simple library
  providing datastructures encoding RDF 1.1 concepts.
@@ -205,7 +211,7 @@
  librust-sparesults-0.3+default-dev (= ${binary:Version}),
  librust-sparesults-0.3+sparql-12-dev (= ${binary:Version}),
  librust-sparesults-0.3-dev (= ${binary:Version}),
- librust-sparesults-0.3.0-beta.2-dev (= ${binary:Version}),
+ librust-sparesults-0.3.0-dev (= ${binary:Version}),
 Description: SPARQL query results formats parsers and serializers - Rust source code
  Sparesults is a set of parsers and serializers
  for SPARQL query results formats.
@@ -250,20 +256,20 @@
  librust-spareval-0.2+sep-0002-dev (= ${rust:Version:librust-spareval-dev}),
  librust-spareval-0.2+sep-0006-dev (= ${rust:Version:librust-spareval-dev}),
  librust-spareval-0.2-dev (= ${rust:Version:librust-spareval-dev}),
- librust-spareval-0.2.0-beta.2-dev (= ${rust:Version:librust-spareval-dev}),
+ librust-spareval-0.2.0-dev (= ${rust:Version:librust-spareval-dev}),
  librust-spargebra-0.4+default-dev (= ${binary:Version}),
  librust-spargebra-0.4+sparql-12-dev (= ${binary:Version}),
  librust-spargebra-0.4+sep-0002-dev (= ${binary:Version}),
  librust-spargebra-0.4+sep-0006-dev (= ${binary:Version}),
  librust-spargebra-0.4-dev (= ${binary:Version}),
- librust-spargebra-0.4.0-beta.2-dev (= ${binary:Version}),
+ librust-spargebra-0.4.0-dev (= ${binary:Version}),
  librust-sparopt-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.3+default-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.3+sparql-12-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.3+sep-0002-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.3+sep-0006-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.3-dev (= ${rust:Version:librust-sparopt-dev}),
- librust-sparopt-0.3.0-beta.2-dev (= ${rust:Version:librust-sparopt-dev}),
+ librust-sparopt-0.3.0-dev (= ${rust:Version:librust-sparopt-dev}),
 Description: SPARQL parser - Rust source code
  Spargebra is a SPARQL parser.
  It supports both SPARQL 1.1 Query and SPARQL 1.1 Update.
@@ -299,10 +305,8 @@
  librust-rustc-hash-2+default-dev,
  librust-siphasher-dev (<< 2),
  librust-sparesults-dev (= 0.4.0~really${rust:Version:librust-sparesults-dev}),
- librust-spargebra-dev (= 0.4.0~really${rust:Version:librust-spargebra-dev}),
+ librust-spargebra-dev (= ${rust:Version:librust-spargebra-dev}),
  librust-thiserror-1+default-dev,
  ${misc:Depends},
 Provides:
  librust-oxigraph-0.5+default-dev (= ${binary:Version}),
- librust-oxigraph-0.5+http-client-dev (= ${binary:Version}),
- librust-oxigraph-0.5+rdf-12-dev (= ${binary:Version}),
