=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,19 @@
  -E 'and say "$(DEB_VERSION_UPSTREAM)" =~ /^\Q$$&\E(?:~[a-z]+\d*)?$$/ ? "$(DEB_VERSION)" : "$$&+$(DEB_VERSION_UPSTREAM_REVISION)" and exit' \
  $1/Cargo.toml)
 
-# * test_backward_compatibility:
-#   requires write access to hardcoded path <tests/rocksdb_bc_data>
-TEST_BROKEN = \
- test_backward_compatibility
+# tests loading pre-generated 64bit little-endian data
+# at <tests/rocksdb_bc_data> and <tests/rocksdb_bc_rdf_star_data>
+ifneq (,$(filter-out $(DEB_HOST_ARCH_BITS),64)$(filter-out $(DEB_HOST_ARCH_ENDIAN),little))
+TEST_BROKEN += \
+ test_backward_compatibility \
+ test_rdf_star_backward_compatibility
+endif
+
+# <https://github.com/oxigraph/oxigraph/issues/1453>
+ifneq (,$(filter $(DEB_HOST_ARCH),s390x))
+TEST_BROKEN += \
+ oxigraph_optimizer_testsuite
+endif
 
 %:
 	dh $@
