=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,8 @@
 # check all but default-features tests only on amd64
 # avoid checking on riscv64
+
+# reduce checking for crate oxigraph on 32bit or big-endian hosts
+# omit test failing on s390x for crate oxigraph
 
 Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxjsonld 0.2.0-beta.3
  --all-targets
@@ -102,7 +105,3 @@
 Restrictions: allow-stderr
 Architecture: !riscv64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxrdfio 0.2.0-beta.4
- --all-targets --all-features
-Features: test-name=rust-oxrdfio:@
-Depends:
