## oxigraph 0.5.1

=== debian/changelog ===
oxigraph (0.5.1-3) unstable; urgency=medium

  * skip autopkgtest-checking tests
    failing due to access rights to tempdir

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Oct 2025 09:12:15 +0200

oxigraph (0.5.1-2) unstable; urgency=medium

  * stop build-depend explicitly on rustc;
    stop have lib-crate oxigraph depend on packages
    for crated bzip2 csv;
    have lib-crate oxigraph autopkgtest-depend on packages
    for crates bzip2 csv oxhttp tempfile
  * add patch 2011_flaky_test to skip a flaky test

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Oct 2025 01:02:28 +0200

oxigraph (0.5.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers
  * bump project versions in virtual packages and autopkgtests
  * provide and autopkgtest spargebra feature standard-unicode-escaping
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Oct 2025 00:28:45 +0200

oxigraph (0.5.0-7) unstable; urgency=medium

  * really fix patch cherry-picked upstream

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 08:58:35 +0200

oxigraph (0.5.0-6) unstable; urgency=medium

  * fix patch cherry-picked upstream

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 01:42:04 +0200

oxigraph (0.5.0-5) unstable; urgency=medium

  * add patches cherry-picked upstream
    to limit tests to supported architectures,
    superseding patch 1001;
    simplify build and autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 00:42:40 +0200

oxigraph (0.5.0-4) experimental; urgency=medium

  * fix strip beta version suffix in autopkgtests
  * add patch 1001 to limit tests to supported architectures;
    stop omit corresponding tests during build or in autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Sep 2025 10:18:19 +0200

oxigraph (0.5.0-3) experimental; urgency=medium

  * provide and autopkgtest oxjsonld feature rdf-12;
    tighten (build-)dependencies for crate json-event-parser

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Sep 2025 00:40:14 +0200
