=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
  librust-hex-0.4+default-dev,
  librust-is-terminal-0.4+default-dev,
  librust-js-sys-0.3+default-dev,
+ librust-json-event-parser-0.2+async-tokio-dev,
  librust-json-event-parser-0.2+default-dev,
  librust-libc-0.2+default-dev,
  librust-md-5-0.10+default-dev,
@@ -62,7 +63,6 @@
  librust-url-2+default-dev,
  libstd-rust-dev,
  python3-dev,
- rustc (>= 1.87),
 Standards-Version: 4.7.2
 Homepage: https://github.com/oxigraph/oxigraph
 Vcs-Git: https://salsa.debian.org/debian/oxigraph.git
@@ -116,6 +116,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ librust-json-event-parser-0.2+async-tokio-dev,
  librust-json-event-parser-0.2+default-dev,
  librust-memchr-2+default-dev,
  librust-oxilangtag-0.1+default-dev,
@@ -131,30 +132,31 @@
 Provides:
  librust-oxjsonld-0.2+async-tokio-dev (= ${rust:Version:librust-oxjsonld-dev}),
  librust-oxjsonld-0.2+default-dev (= ${rust:Version:librust-oxjsonld-dev}),
+ librust-oxjsonld-0.2+rdf-12-dev (= ${rust:Version:librust-oxjsonld-dev}),
  librust-oxjsonld-0.2-dev (= ${rust:Version:librust-oxjsonld-dev}),
- librust-oxjsonld-0.2.0-dev (= ${rust:Version:librust-oxrdfio-dev}),
+ librust-oxjsonld-0.2.1-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdf-0.3+default-dev (= ${binary:Version}),
  librust-oxrdf-0.3+oxsdatatypes-dev (= ${binary:Version}),
  librust-oxrdf-0.3+rdf-12-dev (= ${binary:Version}),
  librust-oxrdf-0.3-dev (= ${binary:Version}),
- librust-oxrdf-0.3.0-dev (= ${binary:Version}),
+ librust-oxrdf-0.3.1-dev (= ${binary:Version}),
  librust-oxrdfio-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.2+async-tokio-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.2+default-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.2+rdf-12-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfio-0.2-dev (= ${rust:Version:librust-oxrdfio-dev}),
- librust-oxrdfio-0.2.0-dev (= ${rust:Version:librust-oxrdfio-dev}),
+ librust-oxrdfio-0.2.1-dev (= ${rust:Version:librust-oxrdfio-dev}),
  librust-oxrdfxml-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxrdfxml-0.2+async-tokio-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxrdfxml-0.2+default-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxrdfxml-0.2-dev (= ${rust:Version:librust-oxrdfxml-dev}),
- librust-oxrdfxml-0.2.0-dev (= ${rust:Version:librust-oxrdfxml-dev}),
+ librust-oxrdfxml-0.2.1-dev (= ${rust:Version:librust-oxrdfxml-dev}),
  librust-oxttl-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.2+async-tokio-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.2+default-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.2+rdf-12-dev (= ${rust:Version:librust-oxttl-dev}),
  librust-oxttl-0.2-dev (= ${rust:Version:librust-oxttl-dev}),
- librust-oxttl-0.2.0-dev (= ${rust:Version:librust-oxttl-dev}),
+ librust-oxttl-0.2.1-dev (= ${rust:Version:librust-oxttl-dev}),
 Description: data structures related to RDF - Rust source code
  OxRDF is a simple library
  providing datastructures encoding RDF 1.1 concepts.
@@ -211,7 +213,7 @@
  librust-sparesults-0.3+default-dev (= ${binary:Version}),
  librust-sparesults-0.3+sparql-12-dev (= ${binary:Version}),
  librust-sparesults-0.3-dev (= ${binary:Version}),
- librust-sparesults-0.3.0-dev (= ${binary:Version}),
+ librust-sparesults-0.3.1-dev (= ${binary:Version}),
 Description: SPARQL query results formats parsers and serializers - Rust source code
  Sparesults is a set of parsers and serializers
  for SPARQL query results formats.
@@ -256,20 +258,21 @@
  librust-spareval-0.2+sep-0002-dev (= ${rust:Version:librust-spareval-dev}),
  librust-spareval-0.2+sep-0006-dev (= ${rust:Version:librust-spareval-dev}),
  librust-spareval-0.2-dev (= ${rust:Version:librust-spareval-dev}),
- librust-spareval-0.2.0-dev (= ${rust:Version:librust-spareval-dev}),
+ librust-spareval-0.2.1-dev (= ${rust:Version:librust-spareval-dev}),
  librust-spargebra-0.4+default-dev (= ${binary:Version}),
  librust-spargebra-0.4+sparql-12-dev (= ${binary:Version}),
  librust-spargebra-0.4+sep-0002-dev (= ${binary:Version}),
  librust-spargebra-0.4+sep-0006-dev (= ${binary:Version}),
+ librust-spargebra-0.4+standard-unicode-escaping-dev (= ${binary:Version}),
  librust-spargebra-0.4-dev (= ${binary:Version}),
- librust-spargebra-0.4.0-dev (= ${binary:Version}),
+ librust-spargebra-0.4.1-dev (= ${binary:Version}),
  librust-sparopt-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.3+default-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.3+sparql-12-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.3+sep-0002-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.3+sep-0006-dev (= ${rust:Version:librust-sparopt-dev}),
  librust-sparopt-0.3-dev (= ${rust:Version:librust-sparopt-dev}),
- librust-sparopt-0.3.0-dev (= ${rust:Version:librust-sparopt-dev}),
+ librust-sparopt-0.3.1-dev (= ${rust:Version:librust-sparopt-dev}),
 Description: SPARQL parser - Rust source code
  Spargebra is a SPARQL parser.
  It supports both SPARQL 1.1 Query and SPARQL 1.1 Update.
@@ -289,8 +292,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- librust-bzip2-dev (<< 0.7),
- librust-csv-1+default-dev,
  librust-dashmap-6+default-dev,
  librust-getrandom-0.2+default-dev,
  librust-js-sys-0.3+default-dev,
@@ -305,8 +306,3 @@
  librust-rustc-hash-2+default-dev,
  librust-siphasher-dev (<< 2),
  librust-sparesults-dev (= 0.4.0~really${rust:Version:librust-sparesults-dev}),
- librust-spargebra-dev (= ${rust:Version:librust-spargebra-dev}),
- librust-thiserror-1+default-dev,
- ${misc:Depends},
-Provides:
- librust-oxigraph-0.5+default-dev (= ${binary:Version}),
